--- title: "Integration Model" slug: "integration-model" updated: 2026-11-11T18:21:31Z published: 2026-11-11T18:21:31Z canonical: "docs.onespan.com/integration-model" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.onespan.com/llms.txt > Use this file to discover all available pages before exploring further. # Integration Model The OneSpan Identity Verification integration model is geared towards simplicity and security. System-to-system integration is done via the OneSpan Identity Verification REST API. For more information, see [OneSpan Identity Verification REST API](/v1/docs/onespan-identity-verification-rest-api). ## Authentication Authentication for access to the OneSpan Identity Verification REST API happens via two-legged OAuth2 with a JSON Web Token (JWT). OneSpan support provides a JWT to OneSpan Identity Verification customers. This token is used to restrict access to resources that are authorized for a given tenant, such as transactions, providers, or data sources. Effectively, the JWT Bearer schema is used as client credentials for API requests. ```http PUT /api/transaction/HTTP1.1 Host: onespan.com Accept: application/json, text/javascript Authorization: Bearer ACCESS_TOKEN { "tenant_id":"00000000-0000-0000-0000-000000000000", "workflow_id":"00000000-0000-0000-0000-000000000000", "urlSetKey":"default", "brand_id":"00000000-0000-0000-0000-000000000000", "language":"english", "users": [...], "documents": [...] } ``` ## JSON Web Tokens The OneSpan Professional Services Team provides the access token, which will be used by the client when creating transactions. - Scopes: tenant_access ### Access token Header: Algorithm and token type ```json { "alg":"HS384", "typ":"JWT" } ``` Payload: Data ```json { "scope": [ "tenant_access" ], "exp": 3698071610, "jti": "00000000-0000-0000-0000-000000000000", "client_id": "onespan" } ``` Token ```plaintext ``` ### Session token Header: Algorithm and token type ```json { "alg":"HS384", "typ":"JWT" } ``` Payload: Data ```json { "session": { "role": "Borrower" }, "scope": [ "session_creation_authorization_code" ], "transaction_uuid": "00000000-0000-0000-0000-000000000000", "exp": 1550591677, "jti": "00000000-0000-0000-0000-000000000000", "client_id": "onespan" } ``` Token ```plaintext ```